curl --request POST \
--url https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize \
--header 'AppCode: <appcode>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize"
headers = {
"AppCode": "<appcode>",
"Authorization": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("AppCode", "<appcode>");
request.AddHeader("Authorization", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize")
.header("AppCode", "<appcode>")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"AppCode: <appcode>",
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'POST', headers: {AppCode: '<appcode>', Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));This response has no body data.Depersonalize push instance
You can depersonalize a device to detach it from a current person profile so that the device won’t receive messages when targeted by any of the person attributes
Required scope: Enable one of: people:manage, mobile-app-messaging:manage.
curl --request POST \
--url https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize \
--header 'AppCode: <appcode>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize"
headers = {
"AppCode": "<appcode>",
"Authorization": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("AppCode", "<appcode>");
request.AddHeader("Authorization", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize")
.header("AppCode", "<appcode>")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"AppCode: <appcode>",
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'POST', headers: {AppCode: '<appcode>', Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}/depersonalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));This response has no body data.Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Headers
Application code
Path Parameters
Registration identifier of a particular push device registration
Response
OK